Skip to main content
GET
Get All Businesses ( STABLE )

Authorizations

Authorization
string
header
required

Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.

Query Parameters

filter[uuid]
string<uuid>

Filter by business UUID

Example:

"7c41f6a2-a4b9-4df8-9225-2c1b7312042e"

filter[name]
string

Filter by business name

Example:

"John Inc"

sort
string

Sort by field (created_at, name). Prefix with '-' for descending order

Example:

"-created_at"

page
integer

Page number for pagination

Example:

1

per_page
integer
default:15

Number of records per page

Example:

15

Response

The response returned from a successful call to listing businesses.

status
boolean
Example:

true

message
string
Example:

""

data
object
errors
object | null
Example:

null

request_id
string<uuid>
Example:

"2d6a4c39-8fcf-4d80-9189-b4764eac31f2"

meta
object